#include <string>

/*!
  Dummy struct
 */
struct A
{
    /*!
      Useless typedef.
     */
    typedef std::wstring MyString;
    
    /*!
      Dummy operator.
     */
    void operator()() const {}

    /*!
      Dummy conversion operator.

      \return Nothing, really.
     */
    operator std::string() const { return std::string(); }
    
    /*!
      Other conversion operator.

      \return Again, nothing.
     */
    operator MyString() const { return MyString(); }
};

/*!
  Dummy function.

  \see A::operator()()     This works
  \see \link A::operator()() \endlink     This works
  \see A::operator std::string()     This does not work
  \see \link A::operator std::string() \endlink     This does not work
  \see A::operator MyString()     This works
  \see \link A::operator MyString() \endlink     This does not work
 */
void b()
{
    // Here I use A::operator() and A::operator std::string
    // so it would be nice to reference them in the docs.
}
